Altibase.jdbc.driver.sharding.executor

## Class MultiThreadExecutorEngine

- java.lang.Object
- - Altibase.jdbc.driver.sharding.executor.MultiThreadExecutorEngine

All Implemented Interfaces:
  ExecutorEngine

    public class MultiThreadExecutorEngine
    extends java.lang.Object
    implements ExecutorEngine

### Constructor Summary

Constructors
Constructor and Description
`MultiThreadExecutorEngine()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `closeStatements(java.util.Collection<java.sql.Statement> aStatements)`
`void` `doTransaction(java.util.Collection<java.sql.Connection> aConnections, ConnectionParallelProcessCallback aParallelProcessCallback)`
`<T> java.util.List<T>` `executeStatement(java.util.List<java.sql.Statement> aStatements, ExecuteCallback<T> aExecuteCallback)`
`<T> java.util.List<T>` `generateStatement(java.util.List<DataNode> aNodes, GenerateCallback<T> aGenerateStmtCallback)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiThreadExecutorEngine

    public MultiThreadExecutorEngine()

### Method Detail

#### executeStatement

    public <T> java.util.List<T> executeStatement(java.util.List<java.sql.Statement> aStatements,
                                                  ExecuteCallback<T> aExecuteCallback)
                                           throws java.sql.SQLException

Specified by:
  `executeStatement` in interface `ExecutorEngine`
Throws:
  `java.sql.SQLException`

#### generateStatement

    public <T> java.util.List<T> generateStatement(java.util.List<DataNode> aNodes,
                                                   GenerateCallback<T> aGenerateStmtCallback)
                                            throws java.sql.SQLException

Specified by:
  `generateStatement` in interface `ExecutorEngine`
Throws:
  `java.sql.SQLException`

#### doTransaction

    public void doTransaction(java.util.Collection<java.sql.Connection> aConnections,
                              ConnectionParallelProcessCallback aParallelProcessCallback)
                       throws java.sql.SQLException

Specified by:
  `doTransaction` in interface `ExecutorEngine`
Throws:
  `java.sql.SQLException`

#### closeStatements

    public void closeStatements(java.util.Collection<java.sql.Statement> aStatements)
                         throws java.sql.SQLException

Specified by:
  `closeStatements` in interface `ExecutorEngine`
Throws:
  `java.sql.SQLException`